<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="md_bsp_boards_mt_bsp_user_guide" kind="group">
    <compoundname>md_bsp_boards_mt_bsp_user_guide</compoundname>
    <title>ModusToolbox Board Support Package (BSP) Overview</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><heading level="2">Introduction</heading>
</para><para>A Board Support Package (BSP) provides a standard interface to a board's features and capabilities. The API is consistent across PSoC kits. Other software (such as middleware or the user's application) can use the BSP to configure and control the hardware. BSPs have the following characteristics:</para><para><itemizedlist>
<listitem><para>BSPs initialize device resources, such as clocks and power supplies to set up the device to run firmware.</para></listitem><listitem><para>BSPs contain linker scripts and startup code so you can customize them for your board.</para></listitem><listitem><para>BSPs contain the hardware configuration (structures and macros) for both device peripherals and board peripherals.</para></listitem><listitem><para>BSPs provide abstraction to the board by providing common aliases or names to refer to the board peripherals, such as buttons and LEDs.</para></listitem><listitem><para>BSPs include the libraries for the default capabilities on the board. For example, the BSP for a kit with CapSense capabilities includes the CapSense library.</para></listitem></itemizedlist>
</para><para>For a complete description of what the BSP provides and how it is used within ModusToolbox, see the <ulink url="http://www.cypress.com/ModusToolboxUserGuide">ModusToolbox User Guide</ulink></para><para><heading level="2">Quick Start with BSPs</heading>
</para><para>This section provides a high-level view for using BSPs. You should be familiar with creating an application using both the ModusToolbox IDE and command-line environments. To use a BSP for a kit you need to perform the following steps:<orderedlist>
<listitem><para>Get a BSP using one of the following methods:<itemizedlist>
<listitem><para>Create an application with the Project Creation tool included with the ModusToolbox software installer (<emphasis>&lt; ModusToolbox install&gt;/tools_2.x/project-creator</emphasis>). This tool can also be launched from the Eclipse IDE for ModusToolbox. The tool fetches the BSP for the kit that you selected, and places it in the <emphasis>libs</emphasis> directory.</para></listitem><listitem><para>In an existing application, use the Library Manager tool to fetch the required BSP. This tool is located in <emphasis>&lt; ModusToolbox install &gt;/tools_2.x/library-manager</emphasis>. You can also launch it from within the ModusToolbox IDE.</para></listitem><listitem><para>In an existing application, create a .lib file specifying the BSP and version (commit, tag, or branch). Then run make getlibs to fetch the BSP and any associated libraries. The .lib file typically goes in the deps directory.</para></listitem><listitem><para>In an existing application, clone the BSP GitHub repository using the git clone command. For example: git clone [<ulink url="https://github.com/cypresssemiconductorco/TARGET_CY8CPROTO-062-4343W/#latest-v1.X">https://github.com/cypresssemiconductorco/TARGET_CY8CPROTO-062-4343W/#latest-v1.X</ulink>] A BSP includes other libraries. To fetch all the libraries, use the make getlibs command from a command shell in the top directory of the application.</para></listitem></itemizedlist>
</para></listitem><listitem><para>Add #include "cybsp.h" to your <emphasis>main.c</emphasis> file.</para></listitem><listitem><para>Add <ref kindref="member" refid="group__group__bsp__functions_1gab989986b285e127f78f61c29f6ccbbfa">cybsp_init()</ref> at the start of main().</para></listitem><listitem><para>Refer to the API documentation available inside that BSP <emphasis>docs</emphasis> directory to learn more.</para></listitem></orderedlist>
</para><para><heading level="2">References</heading>
</para><para><itemizedlist>
<listitem><para><ulink url="https://www.cypress.com/products/modustoolbox-software-environment">ModusToolbox</ulink></para></listitem><listitem><para><ulink url="http://www.cypress.com/ModusToolboxUserGuide">ModusToolbox User Guide</ulink></para></listitem><listitem><para><ulink url="http://www.cypress.com">Cypress Semiconductor, an Infineon Technologies Company</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco">Cypress Semiconductor GitHub</ulink> </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>